Bug 174116 - [patch] devel/nxt-python: update from 2.1.0 to 2.2.2
Summary: [patch] devel/nxt-python: update from 2.1.0 to 2.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-04 17:00 UTC by Quentin Stievenart
Modified: 2012-12-27 10:41 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2012-12-04 17:00 UTC, Quentin Stievenart
no flags Details | Diff
nxt-python.txt (2.17 KB, text/plain; charset=US-ASCII)
2012-12-24 19:51 UTC, Quentin Stievenart
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Quentin Stievenart 2012-12-04 17:00:00 UTC
The attached file contains the patch to update the port to version 2.2.2

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2012-12-20 20:31:01 UTC
Port builds and installs fine, just one question. I think this
port should RUN_DEPENDS on devel/py-usb to be actually usable. What do
you think?

--=20
pozdrawiam / with regards
Pawe=B3 P=EAkala
Comment 2 Quentin Stievenart 2012-12-24 19:51:49 UTC
In fact, it seems possible to use nxt-python with the bluethooth and
py-bluez, but py-bluez is not available in the ports. I think most
people will want the USB connection, so it is legitimate to include
py-usb as a dependency. I updated the patch (in attachment).

Quentin.
Comment 3 dfilter service freebsd_committer 2012-12-27 10:39:21 UTC
Author: pawel
Date: Thu Dec 27 10:39:07 2012
New Revision: 309539
URL: http://svnweb.freebsd.org/changeset/ports/309539

Log:
  Update to version 2.2.2
  
  PR:		ports/174116
  Submitted by:	Quentin Stievenart <acieroid@awesom.eu> (maintainer)

Modified:
  head/devel/nxt-python/Makefile
  head/devel/nxt-python/distinfo
  head/devel/nxt-python/pkg-plist

Modified: head/devel/nxt-python/Makefile
==============================================================================
--- head/devel/nxt-python/Makefile	Thu Dec 27 08:43:58 2012	(r309538)
+++ head/devel/nxt-python/Makefile	Thu Dec 27 10:39:07 2012	(r309539)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	nxt-python
-# Date created:		9 March 2011
-# Whom:			Quentin Stievenart <acieroid@awesom.eu>
-#
+# Created by: Quentin Stievenart <acieroid@awesom.eu>
 # $FreeBSD$
-#
 
 PORTNAME=	nxt-python
-PORTVERSION=	2.1.0
+PORTVERSION=	2.2.2
 CATEGORIES=	devel python
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 
@@ -15,12 +11,10 @@ COMMENT=	Python interface for the Lego M
 
 LICENSE=	GPLv3
 
+RUN_DEPENDS=	${PYTHON_SITELIBDIR}/usb.so:${PORTSDIR}/devel/py-usb
+
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	${PORTNAME}
 
-post-patch:
-	# fixes FreeBSD specific bug
-	${REINPLACE_CMD} 's|\(self.handle.reset()\)|#\1|' ${WRKSRC}/nxt/usbsock.py
-
 .include <bsd.port.mk>

Modified: head/devel/nxt-python/distinfo
==============================================================================
--- head/devel/nxt-python/distinfo	Thu Dec 27 08:43:58 2012	(r309538)
+++ head/devel/nxt-python/distinfo	Thu Dec 27 10:39:07 2012	(r309539)
@@ -1,2 +1,2 @@
-SHA256 (nxt-python-2.1.0.tar.gz) = ec05ded1eaa72f77330c68c60d3cda88fdeee14dfbeacc583f2ecbd24f7c9025
-SIZE (nxt-python-2.1.0.tar.gz) = 49769
+SHA256 (nxt-python-2.2.2.tar.gz) = 8d32d8d690b2047691964326337bc8614502c37c66b25c5812a67052a5df35cc
+SIZE (nxt-python-2.2.2.tar.gz) = 95225

Modified: head/devel/nxt-python/pkg-plist
==============================================================================
--- head/devel/nxt-python/pkg-plist	Thu Dec 27 08:43:58 2012	(r309538)
+++ head/devel/nxt-python/pkg-plist	Thu Dec 27 10:39:07 2012	(r309539)
@@ -1,5 +1,6 @@
 bin/nxt_filer
 bin/nxt_push
+bin/nxt_server
 bin/nxt_test
 %%PYTHON_SITELIBDIR%%/nxt/__init__.py
 %%PYTHON_SITELIBDIR%%/nxt/__init__.pyc
@@ -58,5 +59,14 @@ bin/nxt_test
 %%PYTHON_SITELIBDIR%%/nxt/utils.py
 %%PYTHON_SITELIBDIR%%/nxt/utils.pyc
 %%PYTHON_SITELIBDIR%%/nxt/utils.pyo
+%%PYTHON_SITELIBDIR%%/nxt/fantomsock.py
+%%PYTHON_SITELIBDIR%%/nxt/motcont.py
+%%PYTHON_SITELIBDIR%%/nxt/ipsock.py
+%%PYTHON_SITELIBDIR%%/nxt/fantomsock.pyc
+%%PYTHON_SITELIBDIR%%/nxt/motcont.pyc
+%%PYTHON_SITELIBDIR%%/nxt/ipsock.pyc
+%%PYTHON_SITELIBDIR%%/nxt/fantomsock.pyo
+%%PYTHON_SITELIBDIR%%/nxt/motcont.pyo
+%%PYTHON_SITELIBDIR%%/nxt/ipsock.pyo
 @dirrm %%PYTHON_SITELIBDIR%%/nxt/sensor
 @dirrm %%PYTHON_SITELIBDIR%%/nxt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2012-12-27 10:41:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!